# $Revision: 1.36 $, $Date: 2012/03/30 15:28:38 $
%define		mod_name	security
%define		apxs		/usr/sbin/apxs
Summary:	Apache module: securing web applications
Summary(pl.UTF-8):	Moduł do apache: ochrona aplikacji WWW
Name:		apache-mod_%{mod_name}
Version:	2.5.13
Release:	3
License:	GPL v2
Group:		Networking/Daemons/HTTP
Source0:	http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
# Source0-md5:	92b0ed7dec188650ea9d78dfc326e8ec
Source1:	%{name}.conf
URL:		http://www.modsecurity.org/
BuildRequires:	apache-devel
BuildRequires:	autoconf
BuildRequires:	libxml2-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_unique_id
Suggests:	apache-mod_headers
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
ModSecurity is an open source intrusion detection and prevention
engine for web applications. It operates embedded into the web server,
acting as a powerful umbrella - shielding web applications from
attacks.

%description -l pl.UTF-8
ModSecurity jest otwartym silnikiem wykrywania i zapobiegania intruzom
dla aplikacji WWW. Operuje w ramach serwera WWW, działając jak potężny
parasol chroniący aplikacje WWW przed atakami.

%prep
%setup -q -n modsecurity-apache_%{version}
%{__mv} rules/README{,.rules}
%{__mv} rules/CHANGELOG{,.rules}
%{__mv} rules/modsecurity_crs_10_config.conf{.example,}
%{__mv} rules/modsecurity_crs_48_local_exceptions.conf{.example,}

%build
cd apache2
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{optflags}" \
	top_dir="%{apachelibdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}}

install apache2/.libs/mod_%{mod_name}2.so $RPM_BUILD_ROOT%{apachelibdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/90_mod_%{mod_name}.conf

install -d $RPM_BUILD_ROOT%{apacheconfdir}/modsecurity.d/blocking
cp -a modsecurity.conf-minimal rules/*.conf rules/base_rules/* $RPM_BUILD_ROOT%{apacheconfdir}/modsecurity.d
#cp -a rules/blocking/*.conf $RPM_BUILD_ROOT%{apacheconfdir}/modsecurity.d/blocking
echo '# Drop your local rules in here.' > $RPM_BUILD_ROOT%{apacheconfdir}/modsecurity.d/modsecurity_localrules.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES MODSECURITY_LICENSING_EXCEPTION README.* modsecurity* doc/* rules/optional_rules rules/README.rules rules/CHANGELOG.rules rules/util tools
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%dir %{apacheconfdir}/modsecurity.d
%dir %{apacheconfdir}/modsecurity.d/blocking
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/modsecurity.d/*.*
#%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/modsecurity.d/blocking/*.conf
%attr(755,root,root) %{apachelibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_security.spec,v $
Revision 1.36  2012/03/30 15:28:38  arekm
- release 3

Revision 1.35  2011/07/23 10:24:25  gotar
- don't break -bi --short-circuit, packaged rules/util as %doc, rel. 2

Revision 1.34  2011/04/27 22:16:47  marti
- up to 2.5.13

Revision 1.33  2010/05/13 17:07:13  sparky
- BR: autoconf, libxml2-devel, pcre-devel, pkgconfig

Revision 1.32  2010/04/15 18:47:04  gotar
- use modsecurity.conf-minimal by default with the rest of base rules,
- set SecDataDir to /var/run/httpd, package *.data files,
- S: apache-mod_headers for crs_49_header_tagging, rel. 3

Revision 1.31  2010/04/15 11:15:19  gotar
- install base rules, rel. 2

Revision 1.30  2010/03/18 10:24:33  zbyniu
- up to 2.5.12

Revision 1.29  2009/11/09 09:15:21  adamg
- updated to 2.5.11

Revision 1.28  2009/08/11 13:01:49  matik
- changed default config option not to mention Fedora
- S: cosmetics

Revision 1.27  2009/06/13 13:02:51  gotar
- restored local rules

Revision 1.26  2009/06/13 12:43:40  gotar
- [error] ModSecurity: ModSecurity requires mod_unique_id to be installed.

Revision 1.25  2009/03/16 20:35:59  duddits
- up to 2.5.9

Revision 1.24  2009/01/01 17:10:14  adamg
- updated to 2.5.7

Revision 1.23  2008/10/25 15:50:03  blues
- HTTP group

Revision 1.22  2008/05/02 19:42:26  dzeus
- up to 2.1.7, rel. 1

Revision 1.21  2008-01-10 00:29:05  glen
- update to 2.1.4, ideas from fedora, not tested

Revision 1.20  2007-06-09 14:29:09  gotar
- upgraded to 1.9.5

Revision 1.19  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.17  2006/05/16 00:38:37  zbyniu
- up to 1.9.4; more docs, nothing useful in INSTALL

Revision 1.16  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.15  2006/03/08 13:05:23  darekr
- added useful INSTALL file

Revision 1.14  2006/01/30 17:39:10  glen
- use %service

Revision 1.13  2006/01/24 22:31:28  zbyniu
- up to 1.9.2

Revision 1.12  2005/12/27 00:49:35  glen
- unified

Revision 1.11  2005/12/02 19:33:02  zbyniu
- up to 1.9.1 (stable), rel 1

Revision 1.10  2005/10/27 22:05:47  zbyniu
- up to 1.9RC1

Revision 1.9  2005/04/12 16:00:26  matowy
- up 1.8.7

Revision 1.8  2005/02/24 19:14:01  mwinkler
- up to 1.8.7RC1

Revision 1.7  2005/02/24 18:56:07  mwinkler
- URL fix

Revision 1.6  2004/11/25 10:26:07  radek
- unified macros

Revision 1.5  2004/11/24 18:01:39  qboosh
- pl unification

Revision 1.4  2004/11/24 00:36:17  ankry
- some cleaning

Revision 1.3  2004/11/23 23:45:46  zergin
- description corection

Revision 1.2  2004/11/23 23:36:33  zbyniu
- initial again
